sparse_image_solver.hh File Reference
`#include <mia/core/factory.hh>`
`#include <mia/core/sparse_solver.hh>`
`#include <mia/2d/image.hh>`
Include dependency graph for sparse_image_solver.hh:

Go to the source code of this file.

## Data Structures

struct | multiply< T2DImage< T > >

## Typedefs

typedef C2DImageSparseSolver::A_mult_x | C2DImageSolverAmultx
| base class for the Matrix-Vector multiplication
typedef TFactory< C2DImageSolverAmultx > | C2DImageSolverAmultxPlugin
| plug-in base for the Matrix-Vector multiplication
typedef THandlerSingleton< TFactoryPluginHandler< C2DImageSolverAmultxPlugin > > | C2DImageSolverAmultxPluginHandler
| plug-in handler for the Matrix-Vector multiplication
typedef TSparseSolver< C2DFImage > | C2DImageSparseSolver
| base type for the sparse solvers for 2D images
typedef THandlerSingleton< TFactoryPluginHandler< TFactory< C2DImageSparseSolver > > > | C2DImageSparseSolverPluginHandler
| Plugin handler for sparse image solver plug-ins.
typedef std::shared_ptr< C2DImageSolverAmultx > | P2DImageSolverAmultx
| pointer type for the Matrix-Vector multiplication
typedef std::shared_ptr< C2DImageSparseSolver > | P2DImageSparseSolver
| pointer type for the sparse solvers for 2D images

## Typedef Documentation

## C2DImageSolverAmultx

typedef C2DImageSparseSolver::A_mult_x C2DImageSolverAmultx

base class for the Matrix-Vector multiplication

Definition at line 40 of file sparse_image_solver.hh.

## C2DImageSolverAmultxPlugin

typedef TFactory<C2DImageSolverAmultx> C2DImageSolverAmultxPlugin

plug-in base for the Matrix-Vector multiplication

Definition at line 46 of file sparse_image_solver.hh.

## C2DImageSolverAmultxPluginHandler

typedef THandlerSingleton<TFactoryPluginHandler<C2DImageSolverAmultxPlugin> > C2DImageSolverAmultxPluginHandler

plug-in handler for the Matrix-Vector multiplication

Definition at line 49 of file sparse_image_solver.hh.

## C2DImageSparseSolver

typedef TSparseSolver<C2DFImage> C2DImageSparseSolver

base type for the sparse solvers for 2D images

Definition at line 31 of file sparse_image_solver.hh.

## C2DImageSparseSolverPluginHandler

typedef THandlerSingleton<TFactoryPluginHandler<TFactory<C2DImageSparseSolver> > > C2DImageSparseSolverPluginHandler

Plugin handler for sparse image solver plug-ins.

Definition at line 37 of file sparse_image_solver.hh.

## P2DImageSolverAmultx

typedef std::shared_ptr<C2DImageSolverAmultx> P2DImageSolverAmultx

pointer type for the Matrix-Vector multiplication

Definition at line 43 of file sparse_image_solver.hh.

## P2DImageSparseSolver

typedef std::shared_ptr<C2DImageSparseSolver > P2DImageSparseSolver

pointer type for the sparse solvers for 2D images

Definition at line 34 of file sparse_image_solver.hh.